--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: paths
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new_from_IO
- !ruby/object:RI::MethodSummary 
  name: new_from_paths
comment: 
- !ruby/struct:SM::Flow::P 
  body: "This class provides the same functionality as RiReader, with some improvements:"
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: lower memory consumption
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: ability to handle information from different sources separately.
  type: :BULLET
- !ruby/struct:SM::Flow::P 
  body: Some operations can be restricted to a given &quot;scope&quot;, that is, a &quot;RI DB directory&quot;. This allows you to e.g. look for all the instance methods in String defined by a package.
- !ruby/struct:SM::Flow::P 
  body: "Such operations take a <tt>scope</tt> argument, which is either an integer which indexes the source in #paths, or a name identifying the source (either &quot;system&quot; or a package name). If <tt>scope == nil</tt>, the information from all sources is merged."
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: MAGIC
  value: "\"FastRI index #{FASTRI_INDEX_FORMAT}\""
full_name: FastRI::RiIndex
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: all_names
- !ruby/object:RI::MethodSummary 
  name: dump
- !ruby/object:RI::MethodSummary 
  name: find_class_by_name
- !ruby/object:RI::MethodSummary 
  name: find_method_by_name
- !ruby/object:RI::MethodSummary 
  name: find_methods
- !ruby/object:RI::MethodSummary 
  name: full_class_names
- !ruby/object:RI::MethodSummary 
  name: full_method_names
- !ruby/object:RI::MethodSummary 
  name: get_class
- !ruby/object:RI::MethodSummary 
  name: get_class_entry
- !ruby/object:RI::MethodSummary 
  name: get_method
- !ruby/object:RI::MethodSummary 
  name: get_method_entry
- !ruby/object:RI::MethodSummary 
  name: load
- !ruby/object:RI::MethodSummary 
  name: lookup_namespace_in
- !ruby/object:RI::MethodSummary 
  name: methods_under
- !ruby/object:RI::MethodSummary 
  name: methods_under_matching
- !ruby/object:RI::MethodSummary 
  name: namespaces_under
- !ruby/object:RI::MethodSummary 
  name: namespaces_under_matching
- !ruby/object:RI::MethodSummary 
  name: num_methods
- !ruby/object:RI::MethodSummary 
  name: num_namespaces
- !ruby/object:RI::MethodSummary 
  name: rebuild_index
- !ruby/object:RI::MethodSummary 
  name: source_paths_for
- !ruby/object:RI::MethodSummary 
  name: top_level_namespace
name: RiIndex
superclass: Object
